package com.changhong.epc.form.execute;

import java.util.List;

import com.changhong.autoform.entity.ProcessBudget;
import com.changhong.epc.constter.parsing.journey.JourneyKey;

/**
 * 流程实现
 * @author wangZX
 *
 */
public interface IProcessBudgetBack  extends JourneyKey{
	
	/**
	 * 预算
	 * @return
	 */
	public BudgetRecord exeBudget(List<BudgetRecord> budgetRecords, 
			ProcessBudget processBudget);
	
	
	/**
	 * 申请
	 */
	public BudgetRecord exeApply(List<BudgetRecord> budgetRecords,
			ProcessBudget processBudget); 
	
	/**
	 * 报销
	 * @return
	 */
	public BudgetRecord exeExpense(List<BudgetRecord> budgetRecords, 
			ProcessBudget processBudget);
	
	public BudgetRecord exeBasics(List<BudgetRecord> budgetRecords, 
			ProcessBudget processBudget);

	
}
