package com.changhong.epc.form.filter.data;

import com.iemsoft.framework.cloud.core.tools.SpringUtil;
import org.springframework.core.annotation.AnnotationAwareOrderComparator;

import java.util.List;
import java.util.Map;

public class FormDataFilterUtil {

    public static Map<String, Object> accept(Map<String, Object> data, List<FormDataFilter> formDataFilters){
        formDataFilters.stream().forEach(filter->filter.accept(data));
        return data;
    }

    public static Map<String, Object> accept(Map<String, Object> data){
        List<FormDataFilter> formDataFilters = SpringUtil.getBeans(FormDataFilter.class);
        AnnotationAwareOrderComparator.sort(formDataFilters);
        formDataFilters.stream().forEach(filter->filter.accept(data));
        return data;
    }

    public static List<Map<String, Object>> accept(List<Map<String, Object>> datas){
        List<FormDataFilter> formDataFilters = SpringUtil.getBeans(FormDataFilter.class);
        AnnotationAwareOrderComparator.sort(formDataFilters);
        datas.stream().forEach(data->accept(data, formDataFilters));
        return datas;
    }

}
