package com.changhong.epc.form.mapper.tenant;

import com.changhong.epc.bean.form.Accrued;
import com.changhong.epc.bean.form.Asset;
import com.changhong.epc.rely.api.bean.Organization;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/*
 * 
 * zhaozhen
 * 
 * 2018-1-12 
 * 复制于小项目
 * 
 * */
//@Mapper
public interface AccruedMapper {
	//通过部门、计提期间、物资编号、查询
	List<Accrued> getAccrued(@Param("useDepartment")String useDepartment,
							@Param("calculationPeriod")String calculationPeriod,
							@Param("assetsCode")String assetsCode);
	
	//插入数据
	int insertAccrued(Accrued accrued);
	
	int insertAccruedList(@Param("list")List<Accrued>List);

	//更新数据（重新计提）
	int updateAccrued(Accrued accrued);

	//==============================
	/**
	 *插入异常信息 
	 * 
	 */
	int insertErrAsset(@Param("assetsCode")String assetsCode
					,@Param("calculationPeriod")String calculationPeriod
					,@Param("useDepartment")String useDepartment,
					@Param("useDepartmentself")String useDepartmentself);

	/**
	 *查询一级部门异常的资产 
	 * 
	 */
	List<Asset> selectErrAsset(@Param("assetsCode")String assetsCode
			,@Param("calculationPeriod")String calculationPeriod
			,@Param("useDepartment")String useDepartment
			,@Param("depreciation")String depreciation
			,@Param("tenantId")String tenantId
			,@Param("formId")String formId);
	
	/**
	 *查询子部门异常的资产 
	 * 
	 */
	List<Asset> selectErrAssetOne(@Param("assetsCode")String assetsCode
			,@Param("calculationPeriod")String calculationPeriod
			,@Param("useDepartment")List<Organization>  organization
			,@Param("depreciation")String depreciation
			,@Param("tenantId")String tenantId
			,@Param("formId")String formId);
}
