package com.changhong.epc.form.mapper.tenant;

import com.changhong.epc.bean.form.SectoralAssets;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门折旧信息汇总
 */
public interface SectoralAssetsMapper {
	/**
	 *同过部门、时间(yyyy-MM)查询
	 *
	 */
	List<SectoralAssets> getSectoralAssets(
			@Param("companyOrgCode") String companyOrgCode
			, @Param("date") String date
			, @Param("formId") String formId
			, @Param("yesCode") String yesCode
	);

	/**
	 *新增数据
	 * 
	 */
	int addSectoralAssets(SectoralAssets sectoralAssets);
	
	/**
	 *更改 
	 *
	 */
	int updateSectoralAssets(SectoralAssets sectoralAssets);
	
	
	/** 
	 * 判断一级部门是否计提
	 * 
	 */
	int isAccrued(@Param("useDep")String useDep,
				@Param("date")String date);

	
	int isBooking(@Param("useDep")String useDep,
			@Param("date")String date);

	SectoralAssets findOrgAssert(@Param("date") String date
			,@Param("orgCode") String orgCode);

	int updateBookKeepingState(@Param("state") String state,@Param("id") String id,@Param("date") String date,@Param("number") String number);

	int updateSectoralAssetsStatus(@Param("bookkeepingState")String state,@Param("id")String id,@Param("voucherCode") String voucherCode);

    String getLastDepreciationDate(@Param("useDep") String orgCode, @Param("account") Boolean account);
}
