package com.changhong.epc.form.mapper.tenant.bill;

import org.apache.ibatis.annotations.Param;

import com.changhong.epc.bean.parsing.BillInfo;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;

public interface BillInfoMapper extends MybatisBaseMapper<BillInfo>{
	
	int selectBillByOrderCode(@Param("orderCode")String orderCode);
	
	int updateBill(BillInfo bill);

	/**
	 * 查询票据信息根据:自己看参数
	 * @param formId
	 * @param dataRowNum
	 * @param orgerCode
	 * @return
	 */
	BillInfo queryBillInfoByForm(@Param("formId") String formId, @Param("dataRowNum") Integer dataRowNum ,@Param("orgerCode") String orgerCode);

	/**
	 * 回写行程id
	 */
	int updateJourney(@Param("jId") String jId,@Param("reJid")Integer rejid,@Param("orderCode")String orderCode);
}
