package com.changhong.epc.form.rest.button;

import com.changhong.epc.bean.form.ProcessState;
import com.changhong.epc.bean.tenant.system.permission.PowerButton;
import com.changhong.epc.constter.form.utf.FormUrlConst;
import com.changhong.epc.rely.api.service.PowerService;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ShowButtonController implements FormUrlConst {

    @Autowired
    PowerService powerService;

    @PostMapping(FORM_BUTTON_GETALLBUTTON)
    public PowerButton getAllButton(@RequestBody ButtonDto buttonDto){
        return powerService.getShowButton(buttonDto.getFormId(), buttonDto.getState());
    }

    @Data
    public static class ButtonDto{
        private String formId;
        private ProcessState state;
    }
}
