package com.changhong.epc.form.rest.excel;

import com.changhong.epc.bean.parsing.ExcelLog;
import com.changhong.epc.constter.form.utf.FormUrlConst;
import com.changhong.epc.form.service.excel.ExcelLogService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
public class ExcelLogController implements FormUrlConst {

    @Resource(name ="excelServiceImpl")
    private ExcelLogService excelService;


    @PostMapping(FORM_EXCEL_ADDEXCELLOG)
    public Integer addExcelLog(@RequestBody ExcelLog excelLog){
        return excelService.addExcelLog(excelLog);
    }

    @PostMapping(FORM_EXCEL_SELECTEMP)
    public List<ExcelLog> selectEmpLog(@RequestBody ExcelLog excelLog){
        return excelService.selectEmpLog(excelLog);
    }

    @PostMapping(FORM_EXCEL_UPDATEEXCELLOG)
    public Integer updateExcelLog(@RequestBody ExcelLog excelLog){
        return excelService.updateExcelLog(excelLog);
    }

}
