package com.changhong.epc.form.rest.field;

import java.util.Map;

import javax.annotation.Resource;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import com.changhong.epc.bean.form.FormBaseEntity;
import com.changhong.epc.bean.form.FormKey;
import com.changhong.epc.bean.parsing.submit.FormulaParam;
import com.changhong.epc.bean.parsing.submit.FormulaResult;
import com.changhong.epc.constter.form.utf.FormUrlConst;
import com.changhong.epc.form.service.field.FormFieldService;

@RestController
@RequestMapping(method=RequestMethod.POST)
public class FormFieldRest implements FormUrlConst{

	@Resource
	private FormFieldService formFieldService;
	
	@RequestMapping(FORM_PROPERTY_URL)
	public FormBaseEntity selectFormFieldProperty(@RequestBody FormKey formKey){
		return formFieldService.selectFormFieldProperty(formKey);
	}
	
	@RequestMapping(FORM_DATA_UPDATE2)
	public Object updateFormFieldProperty(@RequestBody Map<String,Object> data){
		return formFieldService.updateFormFieldProperty(data);
	}
	
	@RequestMapping(FORM_PROPERTY_GET_FORMULA)
	public FormulaResult getFormula(@RequestBody FormulaParam formulaParam){
		return formFieldService.getFormula(formulaParam);
	}
}
