package com.changhong.epc.form.service.apply;

import com.changhong.epc.bean.form.apply.ApplyMergeDto;
import com.changhong.epc.bean.form.apply.ApplyMergePageResult;
import com.changhong.epc.bean.report.Report;

public interface ApplyMergeService {

    /**
     * 分页获取可关联的申请单
     * @param applyMergeDto
     * @return
     */
    ApplyMergePageResult getPageApplyMergeList(ApplyMergeDto applyMergeDto);

    /**
     * 生成用汇预算报表
     * @param applyMergeDto
     * @return
     */
    Report createReport(ApplyMergeDto applyMergeDto);

    /**
     * 申请单取消合并
     * @param applyMergeDto
     */
    void unMerge(ApplyMergeDto applyMergeDto);
}
