package com.changhong.epc.form.service.assets;

import com.changhong.epc.bean.admin.AssetDepreciation;
import com.changhong.epc.bean.form.Accrued;
import com.changhong.epc.bean.form.Asset;
import com.changhong.epc.bean.form.QueryParam;
import com.changhong.epc.bean.form.SectoralAssets;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface AssetService {
	/**
	 * 
	 * 通过时间（yyyy-MM）获取一级部门折旧信息
	 * 
	 */
	List<SectoralAssets> getSectoralAsset(String date);
	
	List<Asset> getErrAsset(QueryParam queryParam);
	
	List<Asset> getErrAssetOne(QueryParam queryParam);
	
	/**
	 *分页查详情 
	 */
	List<Accrued> getAccrueds(QueryParam queryParam) throws ParseException;

	int updateAssetsByState(Map<String,String> map);

    Boolean validateAsset(AssetDepreciation assetDepreciation);
}
