package com.changhong.epc.form.service.budget;

import java.util.List;
import java.util.Map;

import com.changhong.autoform.entity.WorkFlowStateEntity;
import com.changhong.epc.bean.form.BorrowType;
import com.changhong.epc.form.service.budget.department.model.BudgetExtend;

public interface CheckFormDataServes {
	boolean checkData( WorkFlowStateEntity workFlowStateEntity);
	
	List<Map<String,Object>> getSumAlreadyPaid(BudgetExtend budgetExtend);

	/**
	 * 验证期限内是否还款
	 * @return
     * @param borrowMoneyUser
     * @param borrowType
	 */
    Integer checkReimbursement(String borrowMoneyUser, BorrowType borrowType);
}
