package com.changhong.epc.form.service.budget.department;

import java.util.List;
import java.util.Map;

import com.changhong.autoform.entity.BudgetTitle;
import com.changhong.autoform.entity.ProcessBudget;
import com.changhong.epc.bean.form.budget.BudgetUserDefined;
import com.changhong.epc.bean.form.budget.filtrate.BudgetclassifyKey;
import com.changhong.epc.bean.form.budget.filtrate.BudgetclassifyValue;
import com.changhong.epc.bean.form.budget.filtrate.IBudgetFilterMode;

public interface IDepartment extends IBudgetFilterMode {
	
	/**
	 * 获得可用预算
	 * @return
	 */
	List<Map<String,Object>> getUsableBudgetList();
	
	/**
	 * 执行回写预算
	 */
	// boolean executeWriteBack(ProcessBudget processBudget);
	
	/**
	 * 设置数据源
	 * @param budgetUserDefined
	 * @param data
	 */
	void setDataSource(BudgetUserDefined budgetUserDefined, 
			Map<BudgetclassifyKey,BudgetclassifyValue> data);
	
	/**
	 * 返回函数定义
	 * @return
	 */
	BudgetUserDefined getBudgetUserDefined();

	/**
	 * 执行回写预算
	 */
	boolean executeWriteBack(Map<String, Object> fromInfo, ProcessBudget processBudget,String formID);
	
	/**
	 * 执行退回相关表单金额
	 */
	Boolean excuteRefunds(Map<String, Object> formInfo);
	/**
	 * 返回辩题
	 * @return
	 */
	public List<BudgetTitle> getTitles();
	
	/**
	 * 返回函数重写
	 */
	BudgetUserDefined getBudgetUserDefined(String fun);
}
