package com.changhong.epc.form.service.budget.department.model;

import java.util.HashMap;
import java.util.Map;

import com.changhong.autoform.entity.ProcessBudget;
import com.changhong.epc.bean.form.FormType;

import lombok.Data;

@Data
public class BudgetRowUpdateRecord{
	private ProcessBudget processBudget;
	private String key;
	
	private String val;
	private String oldVal;
	
	private Map<String,Object> data;
	
	//表单类型
	private FormType formType;
	
	//预算信息
	private com.changhong.epc.bean.tenant.cost.budgetlog.IBillCostLog IBillCostLog;
	
	public BudgetRowUpdateRecord(){
	}
	public BudgetRowUpdateRecord(ProcessBudget processBudget,  String key,String value,String tenantId){
		this.processBudget = processBudget;
		this.processBudget.setTenantID(tenantId);
		data = new HashMap<>();
		data.put(key, value);
	}
}