package com.changhong.epc.form.service.budget.tool;

import com.changhong.autoform.entity.BudgetData;
import com.changhong.autoform.entity.BudgetTitle;
import com.changhong.epc.form.service.budget.department.util.TitletTool;
import com.changhong.epc.form.service.budget.tool.entity.SelectFormResult;

import java.util.List;

public interface ISelectFormFun {

    /**
     * 获得选择表单函数名称
     * @return
     */
    String getName();

    /**
     * 获得选择表单控件标题
     * @param key
     * @return
     */
    default List<BudgetTitle> getTitles(String key){
        return TitletTool.getDefTitlet();
    }

    /**
     * 获得分页数据
     * @param budgetData
     * @return
     */
    SelectFormResult getData(BudgetData budgetData);

}
