package com.changhong.epc.form.filter;

import org.springframework.stereotype.Component;

import com.changhong.autoform.entity.system.RestResult;
import com.iemsoft.framework.cloud.config.result.ResultFilter;

/**
 * 接口返回值过滤器
 * @author WangYX
 *
 */
@Component
public class ResultFormatFilter implements ResultFilter{

	/**
	 * 是否格式化接口返回值
	 */
	@Override
	public boolean format(Object obj) {
		return !(obj instanceof RestResult);
	}

}
