package com.changhong.epc.form.mapper.tenant.contract;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.changhong.epc.bean.form.contract.FormContract;
import com.changhong.epc.bean.form.contract.FormContractExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;

/**
 * 合同持久层Mapper
 * @author liush
 *
 */
public interface FormContractMapper extends MybatisBaseMapper<FormContract> {
	
	/**
	 * 按倒序查询所有合同
	 * @param formContract
	 * @return
	 */
	List<FormContract> selectAllContract(FormContract formContract);
	
//	List<FormContractExtend> selectAllContract(@Param("formContract") FormContract formContract);
	
	Integer formContractSave(@Param("cont")  FormContractExtend formContractExtend);
	
//	List<FormContractExtend> selectById(@Param("number") String number);
	
}
