package com.changhong.epc.form.rest.tenant.contract;

import java.util.List;
import java.util.Map;
import java.util.Objects;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import com.changhong.epc.constter.form.tenant.contract.FormContractUrlConst;
import com.changhong.epc.form.service.tenant.contract.FormContractMassageService;


/**
 * 合同付款信息
 * @author liush
 *
 */
@RestController
@RequestMapping(method=RequestMethod.POST)
public class FormContractMessage implements FormContractUrlConst {
	@Resource
	private FormContractMassageService formContractMassageService;
	
	/**
	 * 查询合同各阶段的付款信息
	 */
	@PostMapping(REST_FROMCONTRACT_GET_PAYMENTAMOUNT) 
	public List<Map<String,String>> selectAllContract(@RequestBody Map<String,Object> map) {
		return formContractMassageService.getContractMassage(Objects.toString(map.get("dataRowNum")));
	}
	
	
	
	/**
	 * 查询报销单的付款金额
	 */
	@PostMapping(REST_FROMCONTRACT_GET_ALLPAYMENTAMOUNT) 
	public List<Map<String,String>> selectAllContracts(@RequestBody Map<String,Object> map) {
		return formContractMassageService.getAllContractMassage(Objects.toString(map.get("dataRowNum")));
	}
}
