package com.changhong.epc.form.service.budget.department.util;

import java.util.Objects;

import lombok.Data;

@Data
public class AddMoney {
	
	/**
	 * 数据ID
	 */
	private String dataRowNum;
	
	/**
	 * 上级预算余额
	 */
	private Integer budgetSuperMoney;
	
	/**
	 * 组织机构
	 */
	private String org;
	
	/**
	 * 业务类型
	 */
	private String costType;
	
	/**
	 * 预算余额
	 */
	private Integer budgetItemBalance;
	
	/**
	 * 追加或者退回金额
	 */
	private Integer budgetAdditionalMoney;
	
	/**
	 * 预算金额
	 */
	private Integer budgetItemMoney;
	
	/**
	 * 关联下级dataRowNum
	 */
	private String chooseSuperBudget;
	
	/**
	 * 关联上级部门
	 * 
	 */
	private String superDep;
	
	public String getSuperDep(){
		return this.superDep;
	}
	public void setSuperDep(String superDep){
		this.superDep = superDep;
	}
	
	/**
	 * 转换int
	 */
	public int toInt(Object o){
		return (int)Double.parseDouble(Objects.toString(o, "0")); 
	}
}
