package com.changhong.epc.form.service.budget.tool.impl;

import com.changhong.epc.bean.form.FormType;
import com.changhong.epc.form.service.budget.tool.UpdateBudgetFactory;
import com.changhong.epc.form.service.budget.tool.entity.UpdateBudgetEntity;
import com.iemsoft.framework.cloud.core.thread.Keys;
import com.iemsoft.framework.cloud.core.thread.ThreadData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Service(UpdateBudgetFactory.BORROW_MONEY)
@Slf4j
@Scope("prototype")
public class BorrowMoneyUpdate extends AbstractUpdateBudget {
    @Override
    public void checkBudget(UpdateBudgetEntity updateBudgetEntity) {
        log.debug("开始执行借款check：————->");
    }

    public void updateBudget(UpdateBudgetEntity updateBudgetEntity) {
        log.debug("开始执行借款：————->");
        //记账
        account(updateBudgetEntity.getFormId(), ThreadData.get(Keys.TENANT_ID), Objects.toString(updateBudgetEntity.getDataRowNum(), ""));

    }


    @Override
    public void flowAfterCall(UpdateBudgetEntity updateBudgetEntity) {

    }

    @Override
    public FormType getFormType() {
        return FormType.JK;
    }
}
