package com.changhong.epc.form.service.excel.impl;

import com.changhong.epc.bean.parsing.ExcelLog;
import com.changhong.epc.form.mapper.tenant.ExcelLogMapper.ExcelLobMapper;
import com.changhong.epc.form.service.excel.ExcelLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("excelServiceImpl")
public class ExcelLogServiceImpl implements ExcelLogService {

    @Resource
    private ExcelLobMapper excelLobMapper;

    @Override
    public Integer addExcelLog(ExcelLog excelLog) {
        excelLog.initParam();
        excelLobMapper.addExcelLog(excelLog);
        return excelLog.getId()!= null?excelLog.getId():-1;
    }

    @Override
    public List<ExcelLog> selectEmpLog(ExcelLog excelLog) {
        return excelLobMapper.selectEmpLog(excelLog);
    }

    @Override
    public Integer updateExcelLog(ExcelLog excelLog) {
        return excelLobMapper.updateExcelLog(excelLog);
    }
}
