package com.changhong.epc.form.service.field;

import java.util.List;
import java.util.Map;

import com.changhong.epc.bean.form.FormBaseEntity;
import com.changhong.epc.bean.form.FormKey;
import com.changhong.epc.bean.parsing.submit.FormulaParam;
import com.changhong.epc.bean.parsing.submit.FormulaResult;


public interface FormFieldService {

	String getAutoNumber(Map<String ,Object> param);
	
	/**
	 * 
	 */
	FormulaResult getFormula(FormulaParam formulaParam);
	
	/**
	 * 查询表单控件详情
	 * @param formId
	 * @param tenantId
	 * @return
	 */
	FormBaseEntity selectFormFieldProperty(FormKey formKey); 
	
	/**
	 * 添加表单信息
	 * @param data
	 * @return
	 */
	Object updateFormFieldProperty(Map<String,Object> data);
	
	/**
	 * 查询主表中是否含有子表单及其别名跟ColumOrderNum
	 * @param param
	 * @return
	 */
	List<Map<String,Object>> getFormHaveSub(Map<String,Object> param);
	
	/**
	 * 获得关联表单ID
	 * @param param
	 * @return
	 */
	String getAssFormId(Map<String,Object> param);

	
	/**
	 * 获取预算列表的code转name
	 * @param list
	 * @param str
	 * @param str1
	 * @return
	 */
	List<Map<String, Object>> getAssociateData(List<Map<String, Object>> list, String str, String str1);
	
	
}
