package com.changhong.epc.form.service.tenant.contract;

import java.util.List;
import java.util.Map;

import com.changhong.autoform.entity.ProcessBudget;
import com.changhong.epc.bean.form.contract.FormContractPhase;
import com.changhong.epc.form.service.budget.department.util.ContractStage;

public interface FormContractPhaseService {
	
	/**
	 * 查询所有合同阶段信息
	 * @return
	 */
	List<FormContractPhase> selectAll();
	
	/**
	 * 查询单条合同阶段信息
	 * @param formContractPhase
	 * @return
	 */
	FormContractPhase selectOne(FormContractPhase formContractPhase);
	
	/**
	 * 查询合同阶段信息条数
	 * @param formContractPhase
	 * @return
	 */
	Integer selectCount(FormContractPhase formContractPhase);
	
	/**
	 * 查询合同阶段信息
	 * @param formContractPhase
	 * @return
	 */
	List<FormContractPhase> select(FormContractPhase formContractPhase);
	
	/**
	 * 插入合同阶段信息
	 * @param formContractPhase
	 * @return
	 */
	Integer insert(FormContractPhase formContractPhase);
	
	/**
	 * 更新合同阶段信息
	 * @param formContractPhase
	 * @return
	 */
	Integer updateByPrimaryKey(FormContractPhase formContractPhase);
	
	
	
}
